SDL_CameraPermissionState(3type)

NAME
SDL_CameraPermissionState - The current state of a request for camera access.

SYNOPSIS
#include <SDL3/SDL_camera.h>

typedef enum SDL_CameraPermissionState
{
    SDL_CAMERA_PERMISSION_STATE_DENIED = -1,
    SDL_CAMERA_PERMISSION_STATE_PENDING,
    SDL_CAMERA_PERMISSION_STATE_APPROVED,
} SDL_CameraPermissionState;

AVAILABILITY
This enum is available since SDL 3.4.0.

SEE ALSO
SDL_GetCameraPermissionState(3)